$schema: http://json-schema.org/draft-07/schema#
type: object
patternProperties:
  ^[a-zA-Z0-9\-\._~]+$:
    type: object
    properties:
      storage:
        type: string
        pattern: ^(USB|SSD|DATA|INTERNAL)(:[0-9]+)?$
    additionalProperties: false
    required:
    - storage
additionalProperties: false

